﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Controls;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace ExternalUIFilter
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
       public MainWindow()
        {
            InitializeComponent();
            this.Resources.Add("SortEvaluationMode", Enum.GetValues(typeof(SortEvaluationMode)));
            this.CreateSortDataSource();
        }

        private void OnSort_click(object sender, RoutedEventArgs e)
        {
            ICollectionView iCollectionView = (ICollectionView)this.Resources["sort_DataSource"];
            iCollectionView.SortDescriptions.Clear();
            iCollectionView.SortDescriptions.Add(new SortDescription("IData", ListSortDirection.Descending));
        }

        private void CreateSortDataSource()
        {
            // Populate some data
            var data = new ObservableCollection<DataModel>();
            data.Add(new DataModel()
            {
                Make = "Ford",
                Model = "Mustang",
                Price = 25000,
                Mileage = 1000,
                IData = new InnerData() { USDPrice = 1 }
            });
            data.Add(new DataModel()
            {
                Make = "Jeep",
                Model = "Wrangler",
                Price = 21000,
                Mileage = 200,
                IData = new InnerData() { USDPrice = 2 }
            });
            data.Add(new DataModel()
            {
                Make = "Honda",
                Model = "Accord",
                Price = 19500,
                Mileage = 1000,
                IData = new InnerData() { USDPrice = 3 }
            });

            this.Resources.Add("sort_DataSource", new ListCollectionView(data));
        }

    }
}
